import pandas as pd
import rdkit.Chem as Chem

df = pd.read_csv('./processed.csv')
for col in df.columns:
    if col != 'Yield':
        # df[col] = df[col].apply(Chem.CanonSmiles)
        temp = df[col].apply(Chem.CanonSmiles)
        if not temp.equals(df[col]):
            import pdb;pdb.set_trace()
# df.to_csv('./processed_canon.csv', index=False)